Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deTBST< T, N >::TBSTNode Class Reference

Collaboration diagram for deTBST< T, N >::TBSTNode:

[legend]
List of all members.

## Public Member Functions
| TBSTNode (const T &ref, const DWORD Val[N])
| TBSTNode (const TBSTNode &ref)
| ~TBSTNode ()
bool | operator== (const DWORD Val[N])
bool | operator> (const DWORD Val[N])
bool | operator< (const DWORD Val[N])
void | Destroy ()
void | AddDataToList (deTList< T * > &list)
void | AddValueToList (deTList< DWORD > &list)
## Public Attributes
TBSTNode * | Left
TBSTNode * | Right
TBSTNode * | Parent
TBSTNode * | Chain
deTBST * | BST
T | Data
DWORD | Value [N]

### template<class T, long N>
class deTBST< T, N >::TBSTNode

## Constructor & Destructor Documentation

template<class T, long N>
deTBST< T, N >::TBSTNode::TBSTNode | ( | const T & | ref,
|  | const DWORD | Val[N]
| ) | `[inline]`

template<class T, long N>
deTBST< T, N >::TBSTNode::TBSTNode | ( | const TBSTNode & | ref | ) | `[inline]`

template<class T, long N>
deTBST< T, N >::TBSTNode::~TBSTNode | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T, long N>
void deTBST< T, N >::TBSTNode::AddDataToList | ( | deTList< T * > & | list | ) | `[inline]`

template<class T, long N>
void deTBST< T, N >::TBSTNode::AddValueToList | ( | deTList< DWORD > & | list | ) | `[inline]`

template<class T, long N>
void deTBST< T, N >::TBSTNode::Destroy | ( |  | ) | `[inline]`

template<class T, long N>
bool deTBST< T, N >::TBSTNode::operator< | ( | const DWORD | Val[N] | ) | `[inline]`

template<class T, long N>
bool deTBST< T, N >::TBSTNode::operator== | ( | const DWORD | Val[N] | ) | `[inline]`

template<class T, long N>
bool deTBST< T, N >::TBSTNode::operator> | ( | const DWORD | Val[N] | ) | `[inline]`

## Member Data Documentation

template<class T, long N>
deTBST* deTBST< T, N >::TBSTNode::BST

template<class T, long N>
TBSTNode * deTBST< T, N >::TBSTNode::Chain

template<class T, long N>
T deTBST< T, N >::TBSTNode::Data

template<class T, long N>
TBSTNode* deTBST< T, N >::TBSTNode::Left

template<class T, long N>
TBSTNode* deTBST< T, N >::TBSTNode::Parent

template<class T, long N>
TBSTNode * deTBST< T, N >::TBSTNode::Right

template<class T, long N>
DWORD deTBST< T, N >::TBSTNode::Value[N]

The documentation for this class was generated from the following file:

- deBST.hpp